Subject: Re: bug#42149: Substring and flex completion ignore implicit trailing ‘any’

From: João Távora <[email-masked]>
Date: Tue, 8 Sep 2020 12:32:31 +0100

On Tue, Sep 8, 2020 at 12:30 PM Dario Gjorgjevski <
[email-masked]> wrote:

> > To summarize, I believe this isn't a very common case, and it is easily
> > circumvented with the workaround I gave you.  I of course acknowledge
> > this bug report as a bug.  Maybe you can try making a patch for Emacs
> > that fixes it and test it.
>
> Thanks, I’ll look into it some more and submit a patch.
>
> To be honest, it seems that the issue is also exhibited by
> completion-pcm-all-completions, so the best place to fix it would be
> completion-pcm--hilit-commonality.
>

Sounds good. I'm adding Stefan Monnier to this conversation
as he is expert in these matters.

João